GET /phone_numbers

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/phone_numbers

List your phone numbers

List the phone numbers rented in your account, with filters, or request the CSV format for bulk export.

Supported Formats

json, csv

Params

Param name Description
serializer
Optional Blank value allowed

This endpoint supports multiple response formats. Pass serializer=name to retrieve data in an alternate format.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    numberDefault response format.
    number_gridModern response format that returns various foreign keys for use with other API endpoints.
number
Optional

The phone number.

  • Must be a String

offer_id
Optional

Refer to the offer api for details

  • Must be a decimal number.

traffic_source_id
Optional

Refer to the traffic source api for details

  • Must be a decimal number.

provider_configuration_id
Optional

Refer to the provider api for details

  • Must be a decimal number.

ring_pool_id
Optional

Refer to the Number Pool api for details

  • Must be a decimal number.

last_call_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

last_call_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • name
  • number
  • offer_id
  • traffic_source_id
  • provider_configuration_id
  • description
  • ring_pool_id
  • provider_auth_key
  • last_call_at
  • token_values
  • country
  • area_code_id
  • optimizer_displayed_at
  • optimizer_tokens_changed_at
  • plain_number
  • extension
  • checksum
  • human_number
  • forward_type
  • buyer_id
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off